### Function

# FwupdPlugin QuirksIter

since: 1.0

#### Declaration

    void
    (* FuQuirksIter) (
      FuQuirks* self,
      const gchar* key,
      const gchar* value,
      gpointer user_data
    )

#### Description [src]

The quirks iteration callback.

Available since: 1.0

#### Parameters

`self`

  Type: `FuQuirks`

  A `FuQuirks`.

  The data is owned by the caller of the function.

`key`

  Type: `const gchar*`

  A key.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`value`

  Type: `const gchar*`

  A value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.